## org.apache.lucene.util.packed
Class PackedInts.Writer

    java.lang.Object
      org.apache.lucene.util.packed.PackedInts.Writer

Enclosing class:
  PackedInts

    public abstract static class PackedInts.Writer

extends Object

A write-once Writer.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Field Summary
`protected int` `bitsPerValue`
`protected DataOutput` `out`
`protected int` `valueCount`

Constructor Summary
`protected` `PackedInts.Writer(DataOutput out, int valueCount, int bitsPerValue)`

Method Summary
`abstract void` `add(long v)`
`abstract void` `finish()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected final DataOutput out

### bitsPerValue

    protected final int bitsPerValue

### valueCount

    protected final int valueCount

Constructor Detail

### PackedInts.Writer

    protected PackedInts.Writer(DataOutput out,
                                int valueCount,
                                int bitsPerValue)
                         throws IOException

Throws:
  `IOException`

Method Detail

### add

    public abstract void add(long v)
                      throws IOException

  Throws:
    `IOException`

### finish

    public abstract void finish()
                         throws IOException

  Throws:
    `IOException`